CREATE TABLE hrc_dl_layouts_b[ (
    LAYOUT_ID                    NUMBER(18, 0)     NOT NULL,
    LAYOUT_CODE                  VARCHAR2(320)     NOT NULL,
    LAYOUT_TYPE                  VARCHAR2(120)     NOT NULL,
    LAYOUT_CATEGORY_CODE         VARCHAR2(120) ,
    LAYOUT_MODE                  VARCHAR2(480) ,
    LEGISLATION_CODE             VARCHAR2(120) ,
    LEGISLATIVE_DATA_GROUP_ID    NUMBER(18, 0) ,
    TOP_BUSINESS_OBJECT_ID       NUMBER(18, 0)     NOT NULL,
    STATUS                       VARCHAR2(120)     NOT NULL,
    MODULE_ID                    VARCHAR2(128) ,
    HASH_VALUE                   VARCHAR2(400)     NOT NULL,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBSOLETE_FLAG                VARCHAR2(16)  ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    KEY_PREFERENCE               VARCHAR2(120) ,
    LAYOUT_DETAILS               VARCHAR2(4000),
    LAYOUT_INFO1                 VARCHAR2(4000),
    LAYOUT_INFO2                 VARCHAR2(4000),
    VALIDATION_STATUS            VARCHAR2(120) ,
    RUN_MODE                     VARCHAR2(200) ,
    SGUID                        VARCHAR2(128) ,
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    RUN_IN_DEBUG_MODE            VARCHAR2(80)  
);
